<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_152-release) on Tue May 29 23:57:00 CEST 2018 -->
<title>ScoresAdapter</title>
<meta name="date" content="2018-05-29">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ScoresAdapter";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ScoresAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../danielepani/it/filigheddutapper/SchermataPrincipale.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../danielepani/it/filigheddutapper/Settaggi.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?danielepani/it/filigheddutapper/ScoresAdapter.html" target="_top">Frames</a></li>
<li><a href="ScoresAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">danielepani.it.filigheddutapper</div>
<h2 title="Class ScoresAdapter" class="title">Class ScoresAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>android.support.v7.widget.RecyclerView.Adapter&lt;danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&gt;</li>
<li>
<ul class="inheritance">
<li>danielepani.it.filigheddutapper.ScoresAdapter</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ScoresAdapter</span>
extends android.support.v7.widget.RecyclerView.Adapter&lt;danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html#ScoresAdapter-android.content.Context-">ScoresAdapter</a></span>(android.content.Context&nbsp;mContext)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html#ScoresAdapter-android.content.Context-android.database.Cursor-">ScoresAdapter</a></span>(android.content.Context&nbsp;mContext,
             android.database.Cursor&nbsp;mCursor)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html#getItemCount--">getItemCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html#onBindViewHolder-danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder-int-">onBindViewHolder</a></span>(danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&nbsp;holder,
                int&nbsp;position)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html#onCreateViewHolder-android.view.ViewGroup-int-">onCreateViewHolder</a></span>(android.view.ViewGroup&nbsp;parent,
                  int&nbsp;viewType)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html#swapCursor-android.database.Cursor-">swapCursor</a></span>(android.database.Cursor&nbsp;newCursor)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v7.widget.RecyclerView.Adapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v7.widget.RecyclerView.Adapter</h3>
<code>bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ScoresAdapter-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ScoresAdapter</h4>
<pre>public&nbsp;ScoresAdapter(android.content.Context&nbsp;mContext)</pre>
</li>
</ul>
<a name="ScoresAdapter-android.content.Context-android.database.Cursor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ScoresAdapter</h4>
<pre>public&nbsp;ScoresAdapter(android.content.Context&nbsp;mContext,
                     android.database.Cursor&nbsp;mCursor)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getItemCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemCount</h4>
<pre>public&nbsp;int&nbsp;getItemCount()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getItemCount</code>&nbsp;in class&nbsp;<code>android.support.v7.widget.RecyclerView.Adapter&lt;danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&gt;</code></dd>
</dl>
</li>
</ul>
<a name="onBindViewHolder-danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onBindViewHolder</h4>
<pre>public&nbsp;void&nbsp;onBindViewHolder(@NonNull
                             danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&nbsp;holder,
                             int&nbsp;position)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onBindViewHolder</code>&nbsp;in class&nbsp;<code>android.support.v7.widget.RecyclerView.Adapter&lt;danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&gt;</code></dd>
</dl>
</li>
</ul>
<a name="onCreateViewHolder-android.view.ViewGroup-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreateViewHolder</h4>
<pre>@NonNull
public&nbsp;danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&nbsp;onCreateViewHolder(@NonNull
                                                                                               android.view.ViewGroup&nbsp;parent,
                                                                                               int&nbsp;viewType)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onCreateViewHolder</code>&nbsp;in class&nbsp;<code>android.support.v7.widget.RecyclerView.Adapter&lt;danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder&gt;</code></dd>
</dl>
</li>
</ul>
<a name="swapCursor-android.database.Cursor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>swapCursor</h4>
<pre>public&nbsp;void&nbsp;swapCursor(android.database.Cursor&nbsp;newCursor)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ScoresAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../danielepani/it/filigheddutapper/SchermataPrincipale.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../danielepani/it/filigheddutapper/Settaggi.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?danielepani/it/filigheddutapper/ScoresAdapter.html" target="_top">Frames</a></li>
<li><a href="ScoresAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
